summaryrefslogtreecommitdiffstats
path: root/source/kde/kdelibs
diff options
context:
space:
mode:
Diffstat (limited to 'source/kde/kdelibs')
-rwxr-xr-xsource/kde/kdelibs/kdelibs.SlackBuild8
-rw-r--r--source/kde/kdelibs/kdelibs.docbook.patch11
-rw-r--r--source/kde/kdelibs/kdelibs.khtml.CVE-2011-1168.diff14
-rw-r--r--source/kde/kdelibs/local.options1
4 files changed, 33 insertions, 1 deletions
diff --git a/source/kde/kdelibs/kdelibs.SlackBuild b/source/kde/kdelibs/kdelibs.SlackBuild
index aa6ddde09..94e67287a 100755
--- a/source/kde/kdelibs/kdelibs.SlackBuild
+++ b/source/kde/kdelibs/kdelibs.SlackBuild
@@ -47,6 +47,12 @@ echo "Building kdelibs-$VERSION..."
tar xvf $CWD/../src/kdelibs-$VERSION.tar.?z* || exit 1
cd kdelibs-$VERSION
+# Slackware ships a different version of XML DTDs:
+zcat $CWD/kdelibs.docbook.patch.gz | patch -p1 --verbose || exit 1
+
+# Security fix:
+zcat $CWD/kdelibs.khtml.CVE-2011-1168.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -67,7 +73,7 @@ cd build
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
-DKDE_DISTRIBUTION_TEXT="volkerdi@slackware.com" \
..
- make $NUMJOBS || exit 1
+ make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
cd -
diff --git a/source/kde/kdelibs/kdelibs.docbook.patch b/source/kde/kdelibs/kdelibs.docbook.patch
new file mode 100644
index 000000000..6a20cd279
--- /dev/null
+++ b/source/kde/kdelibs/kdelibs.docbook.patch
@@ -0,0 +1,11 @@
+--- kdelibs-4.4.85/cmake/modules/FindDocBookXML.cmake.orig 2010-05-27 19:25:00.000000000 +0200
++++ kdelibs-4.4.85/cmake/modules/FindDocBookXML.cmake 2010-06-07 16:18:35.000000000 +0200
+@@ -12,7 +12,7 @@
+ # Redistribution and use is allowed according to the terms of the BSD license.
+ # For details see the accompanying COPYING-CMAKE-SCRIPTS file.
+
+-set (DOCBOOKXML_CURRENTDTD_VERSION "4.2"
++set (DOCBOOKXML_CURRENTDTD_VERSION "4.5"
+ CACHE INTERNAL "Required version of XML DTDs")
+
+ set (DTD_PATH_LIST
diff --git a/source/kde/kdelibs/kdelibs.khtml.CVE-2011-1168.diff b/source/kde/kdelibs/kdelibs.khtml.CVE-2011-1168.diff
new file mode 100644
index 000000000..356f30a61
--- /dev/null
+++ b/source/kde/kdelibs/kdelibs.khtml.CVE-2011-1168.diff
@@ -0,0 +1,14 @@
+--- a/khtml/khtml_part.cpp
++++ b/khtml/khtml_part.cpp
+@@ -1803,7 +1803,10 @@ void KHTMLPart::htmlError( int errorCode
+ stream >> errorName >> techName >> description >> causes >> solutions;
+
+ QString url, protocol, datetime;
+- url = Qt::escape( reqUrl.prettyUrl() );
++
++ // This is somewhat confusing, but we have to escape the externally-
++ // controlled URL twice: once for i18n, and once for HTML.
++ url = Qt::escape( Qt::escape( reqUrl.prettyUrl() ) );
+ protocol = reqUrl.protocol();
+ datetime = KGlobal::locale()->formatDateTime( QDateTime::currentDateTime(),
+ KLocale::LongDate );
diff --git a/source/kde/kdelibs/local.options b/source/kde/kdelibs/local.options
new file mode 100644
index 000000000..aae3c765c
--- /dev/null
+++ b/source/kde/kdelibs/local.options
@@ -0,0 +1 @@
+BUILD=2